9 berichten aan het bekijken - 1 tot 9 (van in totaal 9)
  • Q:
    Bijdrager
    ElsR

    SnowLeopard partioneren externe harde schijf

    Ik gebruik nog steeds op een MacBook Air 1e generatie Rosetta-programmaatjes onder Snow Leopard. Die Air begint echter heel oud en traag te worden en nu dacht ik op mijn MacBook Pro van eind 2011 een partitie te maken met Snow Leopard. Al googelende kwam ik er achter dat dat echter niet kan omdat hij met een hogere versie van OSX geleverd is. Nu las ik ook dat je een externe harde schijf kunt partitioneren en op een gedeelte Snow Leopard kunt zetten. Mijn externe harde schijf is ouder dus dat zou in theorie moeten kunnen. Echter ik snap het niet helemaal, het zou een bootable partitie moeten worden. Ik gebruik hem nu alleen voor data-opslag.
    Kan iemand mij zeggen hoe dat moet? Ik weet redelijk veel van de Mac maar ben geen echter programmeur dus ….. En kom niet dat ik Snow Leopard niet meer moet gebruiken want de programmaatjes zijn super handig; vergelijkbare van hogere OSX-versies zijn erg ingewikkeld met allemaal toepassingen die ik helemaal niet wil of snap.

    Bijdrager
    TheBigZ
    ElsR op 04 januari 2016

    …en nu dacht ik op mijn MacBook Pro van eind 2011 een partitie te maken met Snow Leopard. Al googelende kwam ik er achter dat dat echter niet kan omdat hij met een hogere versie van OSX geleverd is. Nu las ik ook dat je een externe harde schijf kunt partitioneren en op een gedeelte Snow Leopard kunt zetten. Mijn externe harde schijf is ouder dus dat zou in theorie moeten kunnen.

    Nee, dat gaat niet werken. Op een MBP Late 2011 dien je minimaal 10.7.2 te gebruiken. Snow Leopard werkt daar niet op.

    Bijdrager
    ElsR

    Hmm … Jammer. Bedankt voor je antwoord.

    Bijdrager
    computer space

    Ik denk dat het misschien wel kan. De Mini 2011 is ook met Snow Leopard te draaien, terwijl die officieel 10.7.2 moet hebben. Ik draai er ook nog steeds zonder ook maar 1 probleem snow op. Hardware Air is dacht ik nagenoeg hetzelfde,

    Stel de computer-defenitie bestanden en videokaart kexts veilig van 10.7 op een USB stick. Daarna Air in Traget-disk modus als externe HD installeren met Snow Disk (nog bij apple te koop voor 18€) vanaf computer die wel officieel wordt ondersteund. Vervolgens boot je die computer vanaf de zojuist van snow voorziene air als externe HD. Draai nu een combo-update. Kopieer vervolgens vanaf je USB schijf de kexts en id files naar de juiste plek. Repareer permissies met schijfhulpprogramma. Reboot de Air zelf en voila.

    Zoek even bij mijn oude posts hier naar de MacMini 2011 instructie, die is veel gedetaillerder.

    Bijdrager
    Jakko Westerbeke

    Je kunt Snow Leopard ook virtueel draaien: ik heb er eentje in Parallels (om af en toe een programma te kunnen gebruiken waarvan ik alleen maar een PowerPC-versie heb, zoals ElsR), maar ik vermoed dat het ook in VirtualBox wel zal lukken. Voordeel van deze methode is dat je niet opnieuw op hoeft te starten.

    Bijdrager
    computer space

    Voor Jacco’s voorbeeld kun je volledig legaal Snow Leopard server kopen in de Apple store voor 18€. Die mag virtueel gedraaid worden.

    Bijdrager
    Jakko Westerbeke

    Of je gebruikt gewoon het normale Snow Leopard-installatieprogramma dat je toch nog hebt van vroeger. Het is niet alsof Apple bij je aan de deur komt om je computer af te pakken als je dat doet.

    Bijdrager
    Tuvix

    @Jakko Westerbeke
    als ik me niet vergis kan je enkel Snow Leopard server virtueel draaien.

    Bijdrager
    SunKeeper

    Ik had dit topic nog niet eerder gezien.

    De Late 2011 is qua hardware identiek aan de Early 2011 op wat snellere processors e.d. na. Maar dat is allemaal uit dezelfde serie.

    Wat wel een vereiste is is dat je minimaal 10.6.7 moet hebben, want een eerdere Snow Leopard werkt niet. Daar ontbreken kext-bestanden in om de hardware aan te sturen.
    Er bestaat verder geen DVD die 10.6.7 of 10.6.8 bevat. Daarom kun je niet vanaf een DVD installeren want dan krijg je alleen Kernel Panics.

    Om die redenen moet je dus een andere Mac Snow Leopard op zichzelf laten installeren en laten updaten tot 10.6.8. (bij voorkeur een Mac mini of MacBook Pro uit 2009 of 2010)
    Daarna moet je de schijf daaruit in de Late 2011 zetten en dan werkt het.

    Dus een hele omweg, maar je kunt zeker native Snow Leopard draaien.

9 berichten aan het bekijken - 1 tot 9 (van in totaal 9)

Je moet ingelogd zijn om een reactie op dit onderwerp te kunnen geven.